## helma.main
Class HelmaSocketFactory

    java.lang.Object
      java.rmi.server.RMISocketFactory
          helma.main.HelmaSocketFactory

All Implemented Interfaces:
  java.rmi.server.RMIClientSocketFactory, java.rmi.server.RMIServerSocketFactory

    public class HelmaSocketFactory

extends java.rmi.server.RMISocketFactory

An RMI socket factory that has a "paranoid" option to filter clients. We only do direct connections, no HTTP proxy stuff, since this is server-to-server.

Constructor Summary
`HelmaSocketFactory()` Creates a new HelmaSocketFactory object.

Method Summary
`void` `addAddress(java.lang.String address)`
`java.net.ServerSocket` `createServerSocket(int port)`
`java.net.Socket` `createSocket(java.lang.String host, int port)`

Methods inherited from class java.rmi.server.RMISocketFactory
`getDefaultSocketFactory, getFailureHandler, getSocketFactory, setFailureHandler, setSocketFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HelmaSocketFactory

    public HelmaSocketFactory()

  Creates a new HelmaSocketFactory object.

Method Detail

### addAddress

    public void addAddress(java.lang.String address)

  Parameters:
    `address` - ...

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in interface `java.rmi.server.RMIClientSocketFactory`
  Specified by:
    `createSocket` in class `java.rmi.server.RMISocketFactory`
  Parameters:
    `host` - ...
    `port` - ...
  Returns:
    ...
  Throws:
    `java.io.IOException` - ...

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port)
                                             throws java.io.IOException

  Specified by:
    `createServerSocket` in interface `java.rmi.server.RMIServerSocketFactory`
  Specified by:
    `createServerSocket` in class `java.rmi.server.RMISocketFactory`
  Parameters:
    `port` - ...
  Returns:
    ...
  Throws:
    `java.io.IOException` - ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.